package com.persagy.modules.tool.convert.test;

import com.persagy.framework.common.pojo.PageResult;
import com.persagy.modules.tool.controller.test.vo.ToolTestDemoCreateReqVO;
import com.persagy.modules.tool.controller.test.vo.ToolTestDemoExcelVO;
import com.persagy.modules.tool.controller.test.vo.ToolTestDemoRespVO;
import com.persagy.modules.tool.controller.test.vo.ToolTestDemoUpdateReqVO;
import com.persagy.modules.tool.dal.dataobject.test.ToolTestDemoDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 字典类型 Convert
 *
 * @author
 */
@Mapper
public interface ToolTestDemoConvert {

    ToolTestDemoConvert INSTANCE = Mappers.getMapper(ToolTestDemoConvert.class);

    ToolTestDemoDO convert(ToolTestDemoCreateReqVO bean);

    ToolTestDemoDO convert(ToolTestDemoUpdateReqVO bean);

    ToolTestDemoRespVO convert(ToolTestDemoDO bean);

    List<ToolTestDemoRespVO> convertList(List<ToolTestDemoDO> list);

    PageResult<ToolTestDemoRespVO> convertPage(PageResult<ToolTestDemoDO> page);

    List<ToolTestDemoExcelVO> convertList02(List<ToolTestDemoDO> list);

}
