package com.persagy.modules.tool.controller.test.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 测试示例 Excel VO
 *
 * @author
 */
@Data
public class ToolTestDemoExcelVO {

    @ExcelProperty("编号")
    private Long id;

    @ExcelProperty("名字")
    private String name;

    @ExcelProperty(value = "状态")
    private Integer status;

    @ExcelProperty(value = "类型")
    private Integer type;

    @ExcelProperty(value = "分类")
    private Integer category;

    @ExcelProperty("备注")
    private String remark;

    @ExcelProperty("创建时间")
    private Date createTime;

}
